#
#*****************************************************************************
#                                                                            *
#          Author : J.Jansen            Date : 26 June 2008                  *
#    Revision : 1.0        Author : J.Jansen       Date : 4 February 2009    *
#    Revision : 1.1        Author : J.Jansen       Date : 6 April 2009       *
#                                                                            *
# OpenVMS makefile                                                           *
#                                                                            *
#*****************************************************************************
#

.first
	define libavformat [-.libavformat]
	define libavcodec [-.libavcodec]
	define libavutil [-.libavutil]

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm\
	/include=([],[-],[-.libavutil])\
	/define=("HAVE_AV_CONFIG_H=1","_FILE_OFFSET_BITS=64")

OBJS=alldevices.obj,dv1394.obj,x11grab.obj

all : libavdevice.olb
	@ write sys$output "libavdevice.olb created"

libavdevice.olb : $(OBJS)
	library/create libavdevice.olb $(OBJS)

$(OBJS) : [-]config.h

alldevices.obj : alldevices.c
dv1394.obj : dv1394.c
	cc/nowarn $(CFLAGS) dv1394.c
x11grab.obj : x11grab.c
alsa-audio-dec.obj : alsa-audio-dec.c
