#
#*****************************************************************************
#                                                                            *
#          Author : J.Jansen            Date : 9 March 2009                  *
#    Revision : 1.0         Author : J.Jansen      Date : 14 Mat 2009        *
#                                                                            *
# OpenVMS makefile                                                           *
#                                                                            *
#*****************************************************************************
#
.first
	define libavcodec [-.libavcodec]
	define libavutil [-.libavutil]

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/nowarn\
	/include=([],[-],[-.libavutil],[-.libavcodec])\
	/define=("HAVE_AV_CONFIG_H=1","_FILE_OFFSET_BITS=64")

OBJS=swscale.obj,yuv2rgb.obj,rgb2rgb.obj,options.obj

all : libswscale.olb
	@ write sys$output "libswscale.olb created"

libswscale.olb : $(OBJS) $(OBJS1)
	library/create libswscale.olb $(OBJS)

$(OBJS) : [-]config.h

swscale.obj : swscale.c
yuv2rgb.obj : yuv2rgb.c
rgb2rgb.obj : rgb2rgb.c
options.obj : options.c
